/**
 * Copyright (c) 2005 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda2/).
 */
package org.xmloperator.lambda2.net.model;

/**
 * Wire Cell. A WireCell behaves as a wire: it can be removed from the net.
 * <p>
 * A WireCell has to Ports. What is the principal port is arbitrary.
 * </p>
 */
public interface WireCell extends Cell {

	/**
	 * Returns the auxiliary Port of this wire Cell.
	 * 
	 * @return the auxiliary Port of this wire Cell.
	 */
	Port getAuxiliaryPort();
}
